<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Class VcShortcodeAutoloader
 */
class VcShortcodeAutoloader {

	private static $instance = null;
	private static $config = null;
	private static $cached = null;

	/**
	 * @param bool $load_config
	 * @return \VcShortcodeAutoloader|null
	 */
	public static function getInstance( $load_config = true ) {
		if ( null === self::$instance ) {
			self::$instance = new VcShortcodeAutoloader( $load_config );
		}

		return self::$instance;
	}

	/**
	 * VcShortcodeAutoloader constructor.
	 * @param bool $load_config
	 */
	private function __construct( $load_config = true ) {
		if ( ! $load_config ) {
			return;
		}

		$config = array(
			'classmap_file' => vc_path_dir( 'APP_ROOT', 'vc_classmap.json<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

add_action( 'vc_activation_hook', 'vc_bc_multisite_options', 9 );

/**
 * @param $networkWide
 */
function vc_bc_multisite_options( $networkWide ) {
	global $current_site;
	if ( ! is_multisite() || empty( $current_site ) || ! $networkWide || get_site_option( 'vc_bc_options_called', false ) || get_site_option( 'wpb_js_js_composer_purchase_code', false ) ) {
		return;
	}
	// Now we need to check BC with license keys
	$is_main_blog_activated = get_blog_option( (int) $current_site->id, 'wpb_js_js_composer_purchase_code' );
	if ( $is_main_blog_activated ) {
		update_site_option( 'wpb_js_js_composer_purchase_code', $is_main_blog_activated );
	}
	update_site_option( 'vc_bc_options_called', true );
}
