<?php

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit;
}

/**
 * Class Vc_Gutenberg_Param
 */
class Vc_Gutenberg_Param {
	protected $postTypeSlug = 'wpb_gutenberg_param';

	public function __construct() {
		add_action( 'init', array(
			$this,
			'initialize',
		) );
	}

	public function initialize() {
		global $pagenow, $wp_version;
		if ( version_compare( $wp_version, '4.9.8', '>' ) && 'post-new.php' === $pagenow && vc_user_access()->wpAll( 'edit_posts' )
				->get() && vc_request_param( 'post_type' ) === $this->postTypeSlug ) {
			$this->registerGutenbergAttributeType();
			/** @se<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Gutenberg field param.
 *
 * @param $settings
 * @param $value
 *
 * @return string - html string.
 */
function vc_gutenberg_form_field( $settings, $value ) {
	$value = htmlspecialchars( $value );

	return '<div class="vc_gutenberg-field-wrapper"><button class="vc_btn vc_btn-grey vc_btn-sm" data-vc-action="open">Open Editor</button><div class="vc_gutenberg-modal-wrapper"></div><input name="' . $settings['param_name'] . '" class="wpb_vc_param_value vc_gutenberg-field vc_param-name-' . $settings['param_name'] . ' ' . $settings['type'] . '" type="hidden" value="' . $value . '"/></div>';
}
