<?php
/**
 * The template to display block with post meta
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.08
 */

extract(get_query_var('trx_addons_args_sc_show_post_meta'));

?><div class="<?php echo esc_attr($sc); ?>_post_meta post_meta"><?php
	// Post categories
	if ( !empty($args['categories']) ) {
		?><span class="post_meta_item post_categories"><?php the_category( ', ' ); ?></span><?php
	}
	// Post tags
	if ( !empty($args['tags']) ) {
		the_tags( '<span class="post_meta_item post_tags">', ', ', '</span>' );
	}
	// Post date
	if ( !empty($args['date']) && in_array( get_post_type(), array( 'post', 'page', 'attachment' ) ) ) {
		?><span class="post_meta_item post_date<?php if (!empty($args['seo'])) echo ' date updated'; ?>"<?php if (!empty($args['seo'])) echo ' itemprop="datePublished"'; ?>><a href="<?php echo esc_url(get_permalink()); ?>"><?php echo get_the_date(); ?></a></span><?php
	}
	// Post counters
	if ( !empty($args['counters']) ) {
		echo str<?php
/**
 * The template to AJAX increment post's views counter
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6
 */
?>
<!-- Post/page views count increment -->
<script type="text/javascript">
	jQuery(document).on('action.ready_trx_addons', function() {
		if (!TRX_ADDONS_STORAGE['post_views_counter_inited']) {
			TRX_ADDONS_STORAGE['post_views_counter_inited'] = true;
			setTimeout(function() {
				jQuery.post(TRX_ADDONS_STORAGE['ajax_url'], {
					action: 'post_counter',
					nonce: TRX_ADDONS_STORAGE['ajax_nonce'],
					post_id: <?php echo (int) get_the_ID(); ?>,
					views: 1
				}).done(function(response) {
					var rez = {};
					try {
						rez = JSON.parse(response);
					} catch (e) {
						rez = { error: TRX_ADDONS_STORAGE['ajax_error'] };
						console.log(response);
					}
					if (rez.error === '') {
						jQuery('.post_counters_single .post_counters_views .post_counters_number').html(rez.counter);
					}
				});
			}, 10);
		}
	});
</script>